> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niobi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit M-Pesa STK Push



## OpenAPI

````yaml post /api/v2/stk-deposit
openapi: 3.0.0
info:
  title: Niobi Application API
  description: Niobi List API
  version: 1.0.0
servers:
  - url: https://sandbox.users.niobi.co
    description: Live API Server
security: []
tags:
  - name: Niobi
    description: API Endpoints of Niobi
paths:
  /api/v2/stk-deposit:
    post:
      tags:
        - M-Pesa
      summary: Deposit via STK Push
      operationId: 001d8b3ed630f6d224520fecb41b580b
      requestBody:
        description: Data needed for M-Pesa STK Push
        required: true
        content:
          application/json:
            schema:
              required:
                - client_id
                - sender
                - timestamp
                - salt
                - signature
                - params
              properties:
                client_id:
                  description: Client identifier
                  type: string
                sender:
                  description: Sender's entity title
                  type: string
                timestamp:
                  description: Timestamp of the request
                  type: integer
                salt:
                  description: Salt for the request
                  type: string
                signature:
                  description: Signature for the request
                  type: string
                params:
                  required:
                    - amount
                    - mobile
                    - country_id
                    - currency
                    - correspondent
                  properties:
                    country_id:
                      description: Country id to payment
                      type: integer
                      format: country_id
                    correspondent:
                      description: Correspondent
                      type: string
                      format: correspondent
                      example: MTN_MOMO_NGA
                    currency:
                      description: Currency in which to be charged
                      type: string
                      format: currency
                    amount:
                      description: Amount to be charged
                      type: integer
                    mobile:
                      description: Mobile number to be charged
                      type: string
                    callback_url:
                      description: Callback URL for the payment notification
                      type: string
                      format: uri
                  type: object
              type: object
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: >-
                      Verification token was sent to your mobile number. Kindly
                      verify to proceed with payment.
                  data:
                    type: object
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Niobi user not found or Transaction was not created!
                type: object
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: >-
                      Entity integration record not found or Client id not
                      matched or Request was not verified.
                type: object
      security:
        - apiKeyAuth: []
components: {}

````